%{?nodejs_find_provides_and_requires}

%global packagename lcid
%global enable_tests 0
# tests disabled until 'ava' is packaged in Fedora

Name:		nodejs-lcid
Version:	1.0.0
Release:	1%{?dist}
Summary:	Mapping between standard locales and Windows locales

License:	MIT
URL:		https://github.com/sindresorhus/lcid
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# npm tarball doesn't contain tests, so get them from github
Source1:	https://raw.githubusercontent.com/sindresorhus/lcid/v%{version}/test.js



ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(invert-kv)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

Requires:	nodejs

%description
Mapping between standard locale identifiers and Windows locale identifiers
(LCID)


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr *.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
/usr/bin/node test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}


%changelog
* Fri Oct 23 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
